Bug 204461 - Review Request: kita - 2ch client for KDE
Review Request: kita - 2ch client for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-29 06:56 EDT by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 08:22:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Mock build log of kita-0.177.3-3 (159.40 KB, text/plain)
2006-08-29 06:59 EDT, Mamoru TASAKA
no flags Details
Mock build log of kita-0.177.3-6 (225.89 KB, text/plain)
2006-08-30 02:43 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2006-08-29 06:56:48 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/kita.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/kita-0.177.3-3.src.rpm
Description: 
Kita is a 2ch client for KDE.

--------------------
Note: Details of 2ch are on
http://en.wikipedia.org/wiki/2channel

From en wikipedia:
2channel is thought to be the largest Internet forum in the world.
With over 10 million visitors every day (as of 2001), 
it is gaining significant influence in Japanese society, approaching 
that of traditional mass media such as television, radio, and magazines.
Comment 1 Mamoru TASAKA 2006-08-29 06:59:08 EDT
Created attachment 135118 [details]
Mock build log of kita-0.177.3-3

This package can be rebuilt in mock cleanly.

rpmlint is silent.
Comment 2 Chitlesh GOORAH 2006-08-29 10:32:17 EDT
shouldn't this directory be owned as well :
%{_datadir}/apps/kita/
Comment 3 Rex Dieter 2006-08-29 10:42:57 EDT
No need for
Requires(post,postun): %{_bindir}/update-desktop-database
Requires(post,postun):  %{_bindir}/gtk-update-icon-cache

Per the ScriptletSnippets wiki, no need to add dependancies for these.
Comment 4 Mamoru TASAKA 2006-08-29 10:50:15 EDT
To the comment #2 :

You mean that this package SHOULD NOT own the directory?
If you mean that this package SHOULD, it is already because

%{_datadir}/apps/kita/ equals to

%dir %{_datadir}/apps/kita/
%{_datadir}/apps/kita/*

This directory is used only by this package, so owning this package is
necessary.

To comment #3 :
Why? %post and %postun uses these commands. 
Comment 5 Rex Dieter 2006-08-29 10:56:19 EDT
> Why? %post and %postun uses these commands. 

They need not necessarily be present at install-time, hence the presence of ||:
at the end of each command.  For more details, please read the ScriptletSnippets
wiki.
Comment 6 Mamoru TASAKA 2006-08-29 11:20:06 EDT
(In reply to comment #5)
> > Why? %post and %postun uses these commands. 
> 
> They need not necessarily be present at install-time, hence the presence of ||:
> at the end of each command.  For more details, please read the ScriptletSnippets
> wiki.

Okay. I removed those. spec, srpm are updated:
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/kita.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/kita-0.177.3-4.src.rpm
Comment 7 Rex Dieter 2006-08-29 11:34:39 EDT
All of this:
if [ -d %{_prefix}/lib64 ] ; then
   SUF=64
else
   SUF=
fi

for f in %{_prefix}/lib$SUF/qt-* ; do
   QTDIR=$f
done
...
--with-qt-libraries=...

Can be omitted, and put this in  before calling %configure:
unset QTDIR || : ; . /etc/profile.d/qt.sh

which will setup the QT env. vars automatically/appropriately.
Comment 8 Mamoru TASAKA 2006-08-29 13:31:34 EDT
(In reply to comment #7)
> 
> Can be omitted, and put this in  before calling %configure:
> unset QTDIR || : ; . /etc/profile.d/qt.sh
> 
> which will setup the QT env. vars automatically/appropriately.

Well, configure seems to accept QTLIB. Again updated so as to
call qt.sh :
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/kita.spec
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/kita-0.177.3-5.src.rpm
Comment 9 Chitlesh GOORAH 2006-08-29 17:33:44 EDT
MUST Items:

- MUST: rpmlint's output is clean
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.

*******

kdelibs-devel already requires qt-devel, libacl-devel, libart_lgpl-devel,
arts-devel, pcre-devel, zlib-devel

chitlesh(SPECS)[0]$rpm -qR kdelibs-devel
/bin/sh
arts-devel
bzip2-devel
fam-devel
kdelibs = 6:3.5.4-0.1.fc5
libacl-devel
libart_lgpl-devel
libc.so.6
libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.4)
libidn-devel
libjpeg-devel
libqt-mt.so.3
libstdc++.so.6
libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4)
libtiff-devel
libxslt-devel
openssl-devel
pcre-devel
qt-devel >= 1:3.3.6
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
zlib-devel


*******

- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package containing GUI applications includes a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
section.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD: No subpackages present.

This package lookss good to me.
Clean the BR, then I'll approuve it afterwards
Comment 10 Mamoru TASAKA 2006-08-30 02:43:21 EDT
Created attachment 135188 [details]
Mock build log of kita-0.177.3-6

(In reply to comment #9)

> Clean the BR

Ah...
Actually anything other than
     kdelibs-devel desktop-file-utils
disappered....

Again I updated spec and srpm.
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/kita.spec

http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/kita-0.177.3-6.src.rpm
Comment 11 Chitlesh GOORAH 2006-08-30 06:16:34 EDT
This package (kita-0.177.3-6) havs been APPROUVED !
Comment 12 Mamoru TASAKA 2006-08-30 08:22:43 EDT
(In reply to comment #11)
> This package (kita-0.177.3-6) havs been APPROUVED !

Thank you!!

Well, unset QTLIB was my misunderstanging, it should be
unset QTDIR. Finally 
* 0.177.3-8 is pushed
* rebuild for devel succeeded.
http://buildsys.fedoraproject.org/build-status/job.psp?uid=15477
* SyncNeeded is requested for FE-5.

I close this bug as CLOSED NEXTRELEASE. Thanks for reviewing.

Note You need to log in before you can comment on or make changes to this bug.